<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es003</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <style>
        .box {
            padding: 100px 0;
            width: 200px;
            text-align: center;
            background: rgb(197, 187, 187);
            margin: 10px;
            display: inline-block;
        }

        .msg {
            padding: 10px 20px;
            width: 200px;
            text-align: left;
            background: rgb(245, 242, 52);
            margin: 10px;
        }
    </style>
</head>

<body>
    <div id="es003">
        <h1>es003</h1>
        <div class="box" @mouseover="mouseOver" @mouseleave="mouseLeave"> enter and exit </div>
        <div class="box" @click="click($event, 666)"> ({{clickX}},{{clickY}}) -> {{data}}</div>
        <div class="box" @dblclick="doubleClick"> double click </div>
        <div class="box" @mousemove="move"> ({{moveX}},{{moveY}}) </div>
        <div class="msg">{{msg}}</div>
        <div @click="click3">
            <h2>Propagazione di eventi ...</h2>
            <div @click="click2">
                <div @click.stop="click1">
                    {{propagation}}
                </div>
            </div>
        </div>
        <div>
            <h2>Eventi da tastiera</h2>
            <input @keyup.page-down="onPageDown" v-model="text"/>
        </div>
        <div>
            <h2>Eventi nel tutorial di Vue js</h2>
            Vai <a :href="url">qui</a>.
        </div>
    </div>
    <script src="app.js"></script>
</body>

</html>
